Package com.pixelmed.convert

## Class TIFFTypes

- java.lang.Object
- - com.pixelmed.convert.TIFFTypes

-     public class TIFFTypes
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ASCII` |
    `static int` | `BYTE` |
    `static int` | `DOUBLE` |
    `static int` | `FLOAT` |
    `static int` | `IFD` |
    `static int` | `IFD8` |
    `static int` | `LONG` |
    `static int` | `LONG8` |
    `static int` | `RATIONAL` |
    `static int` | `SBYTE` |
    `static int` | `SHORT` |
    `static int` | `SLONG` |
    `static int` | `SLONG8` |
    `static int` | `SRATIONAL` |
    `static int` | `SSHORT` |
    `static int` | `UNDEFINED` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TIFFTypes()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getDescription​(int tagType)` |
    `static int` | `getNumberOfBytesPerValue​(int tagType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BYTE

          public static final int BYTE

      See Also:
        Constant Field Values

    - #### ASCII

          public static final int ASCII

      See Also:
        Constant Field Values

    - #### SHORT

          public static final int SHORT

      See Also:
        Constant Field Values

    - #### LONG

          public static final int LONG

      See Also:
        Constant Field Values

    - #### RATIONAL

          public static final int RATIONAL

      See Also:
        Constant Field Values

    - #### SBYTE

          public static final int SBYTE

      See Also:
        Constant Field Values

    - #### UNDEFINED

          public static final int UNDEFINED

      See Also:
        Constant Field Values

    - #### SSHORT

          public static final int SSHORT

      See Also:
        Constant Field Values

    - #### SLONG

          public static final int SLONG

      See Also:
        Constant Field Values

    - #### SRATIONAL

          public static final int SRATIONAL

      See Also:
        Constant Field Values

    - #### FLOAT

          public static final int FLOAT

      See Also:
        Constant Field Values

    - #### DOUBLE

          public static final int DOUBLE

      See Also:
        Constant Field Values

    - #### IFD

          public static final int IFD

      See Also:
        Constant Field Values

    - #### LONG8

          public static final int LONG8

      See Also:
        Constant Field Values

    - #### SLONG8

          public static final int SLONG8

      See Also:
        Constant Field Values

    - #### IFD8

          public static final int IFD8

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TIFFTypes

          public TIFFTypes()

  - ### Method Detail

    - #### getDescription

          public static java.lang.String getDescription​(int tagType)

    - #### getNumberOfBytesPerValue

          public static int getNumberOfBytesPerValue​(int tagType)